%define upstream_name    Data-Types
%define upstream_version 0.17

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Validate and convert data types
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.170.0
BuildArch:  noarch

%description
This module exports a number of functions that are useful for validating
and converting data types. It is intended for use in applications where
data types are more important than they typically are in Perl -- e.g.,
database applications.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.170.0-2.mga8
+ Revision: 1523118
- Mageia 8 Mass Rebuild

* Sat Feb 23 2019 tv <tv> 0.170.0-1.mga7
+ Revision: 1369596
- update to 0.17

* Tue Dec 04 2018 tv <tv> 0.160.0-1.mga7
+ Revision: 1338359
- update to 0.16

* Tue Nov 20 2018 tv <tv> 0.150.0-1.mga7
+ Revision: 1332358
- update to 0.15

* Sat Oct 20 2018 tv <tv> 0.140.0-1.mga7
+ Revision: 1322655
- update to 0.14

* Thu Sep 20 2018 umeabot <umeabot> 0.130.0-2.mga7
+ Revision: 1282636
- Mageia 7 Mass Rebuild

* Tue Aug 14 2018 guillomovitch <guillomovitch> 0.130.0-1.mga7
+ Revision: 1251461
- new version 0.13

* Sat Jun 18 2016 pterjan <pterjan> 0.90.0-6.mga6
+ Revision: 1024939
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.90.0-5.mga6
+ Revision: 949579
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.90.0-4.mga5
+ Revision: 790036
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-3.mga5
+ Revision: 747996
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-2.mga5
+ Revision: 684249
- Mageia 5 Mass Rebuild

* Wed Feb 05 2014 guillomovitch <guillomovitch> 0.90.0-1.mga5
+ Revision: 583467
- imported package perl-Data-Types


* Wed Feb 05 2014 cpan2dist 0.09-1mga
- initial mageia release, generated with cpan2dist
